org.springframework.data.convert

## Interface ConverterBuilder.ReadingConverterBuilder<T,S>

All Superinterfaces:
  ConverterBuilder, ConverterBuilder.ReadingConverterAware

Enclosing interface:
  ConverterBuilder

    public static interface ConverterBuilder.ReadingConverterBuilder<T,S>
    extends ConverterBuilder, ConverterBuilder.ReadingConverterAware

Interface to represent an intermediate setup step of `ConverterBuilder.ConverterAware` defining a reading converter first.

Since:
  2.0
Author:
  Oliver Gierke

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.convert.ConverterBuilder

`ConverterBuilder.ConverterAware, ConverterBuilder.ReadingConverterAware, ConverterBuilder.ReadingConverterBuilder<T,S>, ConverterBuilder.WritingConverterAware, ConverterBuilder.WritingConverterBuilder<S,T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`ConverterBuilder.ConverterAware` `andWriting(Function<? super S,? extends T> function)` Creates a new `ConverterBuilder.ConverterAware` by registering the given `Function` to add a write converter.

### Methods inherited from interface org.springframework.data.convert.ConverterBuilder

`getConverters, reading, writing`

### Methods inherited from interface org.springframework.data.convert.ConverterBuilder.ReadingConverterAware

`getReadingConverter`

### Method Detail

#### andWriting

    ConverterBuilder.ConverterAware andWriting(Function<? super S,? extends T> function)

Creates a new `ConverterBuilder.ConverterAware` by registering the given `Function` to add a write converter.

Parameters:
  `function` - must not be null.
Returns: